/** @format */
export declare function createUniversalCommand(command: string, customerCommandName?: string, description?: string): import("commander").Command;
export declare function getCommandDetail(name: any, provider: any, version: any): Promise<any[]>;
export declare function getParsedTemplateObj(templateFile: any): Promise<any>;
export declare function getCustomerCommandInfo(parsedTemplateObj: any): string[];
export declare function createCustomerCommand(templateFile: string): Promise<any[]>;
export declare function registerCommandChecker(program: any): void;
export declare function registerExecCommand(system_command: any, templateFile: string): Promise<void>;
export declare function registerCustomerCommand(system_command: any, templateFile: string): Promise<void>;
export declare function registerUniversalCommand(system_command: any, templateFile: string): Promise<void>;
export declare function registerVerbose(program: any): void;
export declare function recordCommandHistory(argv: string[]): void;
declare const _default: {
    registerCommandChecker: typeof registerCommandChecker;
    recordCommandHistory: typeof recordCommandHistory;
    registerExecCommand: typeof registerExecCommand;
    registerCustomerCommand: typeof registerCustomerCommand;
    registerUniversalCommand: typeof registerUniversalCommand;
};
export default _default;
